QXmppVCardEmail Class Reference

Represents a vCard e-mail address. More...

`#include <QXmppVCardIq.h>`

## Public Types

enum | TypeFlag { None = 0x0, Home = 0x1, Work = 0x2, Internet = 0x4, Preferred = 0x8, X400 = 0x10 }
| Describes e-mail address types.

## Public Member Functions

| QXmppVCardEmail ()
| Constructs an empty e-mail address.
| QXmppVCardEmail (const QXmppVCardEmail &other)
| Constructs a copy of other.
QXmppVCardEmail & | operator= (const QXmppVCardEmail &other)
| Assigns other to this e-mail address.
QString | address () const
| Returns the e-mail address.
void | setAddress (const QString &address)
| Sets the e-mail address.
Type | type () const
| Returns the e-mail type, which is a combination of TypeFlag.
void | setType (Type type)
| Sets the e-mail type, which is a combination of TypeFlag.

## Detailed Description

Represents a vCard e-mail address.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp